# Registration Packages Registration Packages ## Creates a new registration package record that does not already exist. - [POST /registrationPackages/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/createregistrationpackage.md): This method will auto-generate an ID and create a new registration package. If an ID is specified for the registration package, an error will be thrown. ## Execute Batch Operations - [POST /registrationPackages/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /registrationPackages/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/listpackagesbyeventid.md): Returns a list of records with the specified event_id ## Returns a list of records with the specified event_id - [GET /registrationPackages/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/listpackagesbyeventidpublic.md): Returns a list of records with the specified event_id ## Get Packages for Online Store - [POST /registrationPackages/{tenantId}/public/onlineStore](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/getpackagesforonlinestore.md): Public endpoint that gets packages for use in the online store ## Returns a list of records with the specified event_id - [GET /registrationPackages/{tenantId}/public/rateSchedule/{eventId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/getrateschedule.md): Returns a list of records with the specified event_id ## Returns a registration package from the system by its ID. - [DELETE /registrationPackages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/deleteregistrationpackage.md): This method will delete a registration package with the specified ID. ## Returns a registration package from the system by its ID. - [GET /registrationPackages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/getregistrationpackage.md): This method will look up a registration package by the specified ID and return it back. ## Partially updates a registration package with the specified ID. - [PATCH /registrationPackages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/patchregistrationpackage.md): This method will patch an existing registration package with the specified ID, using the HTTP PATCH specification. ## Updates a registration package with the specified ID. - [PUT /registrationPackages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/updateregistrationpackage.md): This method will update an existing registration package with the specified ID.